Index: ether_statistics/web/resources/js/jquery-ui-1.8.16.custom/development-bundle/demos/datepicker/localization.html
===================================================================
--- ether_statistics/web/resources/js/jquery-ui-1.8.16.custom/development-bundle/demos/datepicker/localization.html	(revision 680)
+++ ether_statistics/web/resources/js/jquery-ui-1.8.16.custom/development-bundle/demos/datepicker/localization.html	(revision 680)
@@ -0,0 +1,162 @@
+<!DOCTYPE html>
+<html lang="en">
+<head>
+	<meta charset="utf-8">
+	<title>jQuery UI Datepicker - Localize calendar</title>
+	<link rel="stylesheet" href="../../themes/base/jquery.ui.all.css">
+	<script src="../../jquery-1.6.2.js"></script>
+	<script src="../../ui/jquery.ui.core.js"></script>
+	<script src="../../ui/jquery.ui.widget.js"></script>
+	<script src="../../ui/jquery.ui.datepicker.js"></script>
+	<script src="../../ui/i18n/jquery.ui.datepicker-af.js"></script>
+	<script src="../../ui/i18n/jquery.ui.datepicker-ar.js"></script>
+	<script src="../../ui/i18n/jquery.ui.datepicker-ar-DZ.js"></script>
+	<script src="../../ui/i18n/jquery.ui.datepicker-az.js"></script>
+	<script src="../../ui/i18n/jquery.ui.datepicker-bg.js"></script>
+	<script src="../../ui/i18n/jquery.ui.datepicker-bs.js"></script>
+	<script src="../../ui/i18n/jquery.ui.datepicker-ca.js"></script>
+	<script src="../../ui/i18n/jquery.ui.datepicker-cs.js"></script>
+	<script src="../../ui/i18n/jquery.ui.datepicker-da.js"></script>
+	<script src="../../ui/i18n/jquery.ui.datepicker-de.js"></script>
+	<script src="../../ui/i18n/jquery.ui.datepicker-el.js"></script>
+	<script src="../../ui/i18n/jquery.ui.datepicker-en-AU.js"></script>
+	<script src="../../ui/i18n/jquery.ui.datepicker-en-GB.js"></script>
+	<script src="../../ui/i18n/jquery.ui.datepicker-en-NZ.js"></script>
+	<script src="../../ui/i18n/jquery.ui.datepicker-eo.js"></script>
+	<script src="../../ui/i18n/jquery.ui.datepicker-es.js"></script>
+	<script src="../../ui/i18n/jquery.ui.datepicker-et.js"></script>
+	<script src="../../ui/i18n/jquery.ui.datepicker-eu.js"></script>
+	<script src="../../ui/i18n/jquery.ui.datepicker-fa.js"></script>
+	<script src="../../ui/i18n/jquery.ui.datepicker-fi.js"></script>
+	<script src="../../ui/i18n/jquery.ui.datepicker-fo.js"></script>
+	<script src="../../ui/i18n/jquery.ui.datepicker-fr.js"></script>
+	<script src="../../ui/i18n/jquery.ui.datepicker-fr-CH.js"></script>
+	<script src="../../ui/i18n/jquery.ui.datepicker-gl.js"></script>
+	<script src="../../ui/i18n/jquery.ui.datepicker-he.js"></script>
+	<script src="../../ui/i18n/jquery.ui.datepicker-hr.js"></script>
+	<script src="../../ui/i18n/jquery.ui.datepicker-hu.js"></script>
+	<script src="../../ui/i18n/jquery.ui.datepicker-hy.js"></script>
+	<script src="../../ui/i18n/jquery.ui.datepicker-id.js"></script>
+	<script src="../../ui/i18n/jquery.ui.datepicker-is.js"></script>
+	<script src="../../ui/i18n/jquery.ui.datepicker-it.js"></script>
+	<script src="../../ui/i18n/jquery.ui.datepicker-ja.js"></script>
+	<script src="../../ui/i18n/jquery.ui.datepicker-ko.js"></script>
+	<script src="../../ui/i18n/jquery.ui.datepicker-kz.js"></script>
+	<script src="../../ui/i18n/jquery.ui.datepicker-lt.js"></script>
+	<script src="../../ui/i18n/jquery.ui.datepicker-lv.js"></script>
+	<script src="../../ui/i18n/jquery.ui.datepicker-ml.js"></script>
+	<script src="../../ui/i18n/jquery.ui.datepicker-ms.js"></script>
+	<script src="../../ui/i18n/jquery.ui.datepicker-nl.js"></script>
+	<script src="../../ui/i18n/jquery.ui.datepicker-no.js"></script>
+	<script src="../../ui/i18n/jquery.ui.datepicker-pl.js"></script>
+	<script src="../../ui/i18n/jquery.ui.datepicker-pt.js"></script>
+	<script src="../../ui/i18n/jquery.ui.datepicker-pt-BR.js"></script>
+	<script src="../../ui/i18n/jquery.ui.datepicker-rm.js"></script>
+	<script src="../../ui/i18n/jquery.ui.datepicker-ro.js"></script>
+	<script src="../../ui/i18n/jquery.ui.datepicker-ru.js"></script>
+	<script src="../../ui/i18n/jquery.ui.datepicker-sk.js"></script>
+	<script src="../../ui/i18n/jquery.ui.datepicker-sl.js"></script>
+	<script src="../../ui/i18n/jquery.ui.datepicker-sq.js"></script>
+	<script src="../../ui/i18n/jquery.ui.datepicker-sr.js"></script>
+	<script src="../../ui/i18n/jquery.ui.datepicker-sr-SR.js"></script>
+	<script src="../../ui/i18n/jquery.ui.datepicker-sv.js"></script>
+	<script src="../../ui/i18n/jquery.ui.datepicker-ta.js"></script>
+	<script src="../../ui/i18n/jquery.ui.datepicker-th.js"></script>
+	<script src="../../ui/i18n/jquery.ui.datepicker-tj.js"></script>
+	<script src="../../ui/i18n/jquery.ui.datepicker-tr.js"></script>
+	<script src="../../ui/i18n/jquery.ui.datepicker-uk.js"></script>
+	<script src="../../ui/i18n/jquery.ui.datepicker-vi.js"></script>
+	<script src="../../ui/i18n/jquery.ui.datepicker-zh-CN.js"></script>
+	<script src="../../ui/i18n/jquery.ui.datepicker-zh-HK.js"></script>
+	<script src="../../ui/i18n/jquery.ui.datepicker-zh-TW.js"></script>
+	<link rel="stylesheet" href="../demos.css">
+	<script>
+	$(function() {
+		$.datepicker.setDefaults( $.datepicker.regional[ "" ] );
+		$( "#datepicker" ).datepicker( $.datepicker.regional[ "fr" ] );
+		$( "#locale" ).change(function() {
+			$( "#datepicker" ).datepicker( "option",
+				$.datepicker.regional[ $( this ).val() ] );
+		});
+	});
+	</script>
+</head>
+<body>
+
+<div class="demo">
+	
+<p>Date: <input type="text" id="datepicker"/>&nbsp;
+	<select id="locale">
+		<option value="af">Afrikaans</option>
+		<option value="sq">Albanian (Gjuha shqipe)</option>
+		<option value="ar-DZ">Algerian Arabic</option>
+		<option value="ar">Arabic (&#8235;(&#1604;&#1593;&#1585;&#1576;&#1610;</option>
+		<option value="hy">Armenian (&#1344;&#1377;&#1397;&#1381;&#1408;&#1381;&#1398;)</option>
+		<option value="az">Azerbaijani (Az&#601;rbaycan dili)</option>
+		<option value="eu">Basque (Euskara)</option>
+		<option value="bs">Bosnian (Bosanski)</option>
+		<option value="bg">Bulgarian (&#1073;&#1098;&#1083;&#1075;&#1072;&#1088;&#1089;&#1082;&#1080; &#1077;&#1079;&#1080;&#1082;)</option>
+		<option value="ca">Catalan (Catal&agrave;)</option>
+		<option value="zh-HK">Chinese Hong Kong (&#32321;&#39636;&#20013;&#25991;)</option>
+		<option value="zh-CN">Chinese Simplified (&#31616;&#20307;&#20013;&#25991;)</option>
+		<option value="zh-TW">Chinese Traditional (&#32321;&#39636;&#20013;&#25991;)</option>
+		<option value="hr">Croatian (Hrvatski jezik)</option>
+		<option value="cs">Czech (&#269;e&#353;tina)</option>
+		<option value="da">Danish (Dansk)</option>
+		<option value="nl">Dutch (Nederlands)</option>
+		<option value="en-AU">English/Australia</option>
+		<option value="en-NZ">English/New Zealand</option>
+		<option value="en-GB">English/UK</option>
+		<option value="eo">Esperanto</option>
+		<option value="et">Estonian (eesti keel)</option>
+		<option value="fo">Faroese (f&oslash;royskt)</option>
+		<option value="fa">Farsi/Persian (&#8235;(&#1601;&#1575;&#1585;&#1587;&#1740;</option>
+		<option value="fi">Finnish (suomi)</option>
+		<option value="fr" selected="selected">French (Fran&ccedil;ais)</option>
+		<option value="fr-CH">French/Swiss (Fran&ccedil;ais de Suisse)</option>
+		<option value="gl">Galician</option>
+		<option value="de">German (Deutsch)</option>
+		<option value="el">Greek (&#917;&#955;&#955;&#951;&#957;&#953;&#954;&#940;)</option>
+		<option value="he">Hebrew (&#8235;(&#1506;&#1489;&#1512;&#1497;&#1514;</option>
+		<option value="hu">Hungarian (Magyar)</option>
+		<option value="is">Icelandic (&Otilde;slenska)</option>
+		<option value="id">Indonesian (Bahasa Indonesia)</option>
+		<option value="it">Italian (Italiano)</option>
+		<option value="ja">Japanese (&#26085;&#26412;&#35486;)</option>
+		<option value="ko">Korean (&#54620;&#44397;&#50612;)</option>
+		<option value="kz">Kazakhstan (Kazakh)</option>
+		<option value="lv">Latvian (Latvie&ouml;u Valoda)</option>
+		<option value="lt">Lithuanian (lietuviu kalba)</option>
+		<option value="ml">Malayalam</option>
+		<option value="ms">Malaysian (Bahasa Malaysia)</option>
+		<option value="no">Norwegian (Norsk)</option>
+		<option value="pl">Polish (Polski)</option>
+		<option value="pt">Portuguese (Portugu&ecirc;s)</option>
+		<option value="pt-BR">Portuguese/Brazilian (Portugu&ecirc;s)</option>
+		<option value="rm">Rhaeto-Romanic (Romansh)</option>
+		<option value="ro">Romanian (Rom&acirc;n&#259;)</option>
+		<option value="ru">Russian (&#1056;&#1091;&#1089;&#1089;&#1082;&#1080;&#1081;)</option>
+		<option value="sr">Serbian (&#1089;&#1088;&#1087;&#1089;&#1082;&#1080; &#1112;&#1077;&#1079;&#1080;&#1082;)</option>
+		<option value="sr-SR">Serbian (srpski jezik)</option>
+		<option value="sk">Slovak (Slovencina)</option>
+		<option value="sl">Slovenian (Slovenski Jezik)</option>
+		<option value="es">Spanish (Espa&ntilde;ol)</option>
+		<option value="sv">Swedish (Svenska)</option>
+		<option value="ta">Tamil (&#2980;&#2990;&#3007;&#2996;&#3021;)</option>
+		<option value="th">Thai (&#3616;&#3634;&#3625;&#3634;&#3652;&#3607;&#3618;)</option>
+		<option value="tj">Tajikistan</option>
+		<option value="tr">Turkish (T&uuml;rk&ccedil;e)</option>
+		<option value="uk">Ukranian (&#1059;&#1082;&#1088;&#1072;&#1111;&#1085;&#1089;&#1100;&#1082;&#1072;)</option>
+		<option value="vi">Vietnamese (Ti&#7871;ng Vi&#7879;t)</option>
+	</select></p>
+
+</div><!-- End demo -->
+
+
+
+<div class="demo-description">
+<p>Localize the datepicker calendar language and format (English / Western formatting is the default).  The datepicker includes built-in support for languages that read right-to-left, such as Arabic and Hebrew.</p>
+</div><!-- End demo-description -->
+
+</body>
+</html>