Index: geisa/web/initGeisa_script.jsp
===================================================================
--- geisa/web/initGeisa_script.jsp	(revision 689)
+++ geisa/web/initGeisa_script.jsp	(revision 690)
@@ -534,8 +534,11 @@
                 inputSpectralRangeUpper.bind( 'blur', this, jQuery.proxy( this.requestTransition, this ));
                 this.containerFormSpectralRangeUpper.append( inputSpectralRangeUpper );
-                //zone texte   Sampling step
+                //zone texte   Sampling step  Splitting step
                 var inputSamplingStep = $( document.createElement( "input" ) );
                 inputSamplingStep.attr( {id:"sampStep", size:6} );
                 $("#samplingStep").append( inputSamplingStep );
+
+
+
 
                  //Zone texte Intensity
@@ -674,5 +677,5 @@
 
 
-                //Zone text Mean Value
+                //Zone text Mean Value  Bin-average
                 //Titre
                 var titleMeanValue = document.createTextNode("Bin-average : ");
@@ -747,7 +750,7 @@
                 this.selectOutputDatabasecomparison = new Select( paramoutputDatabasecomparison );
                 this.selectOutputDatabasecomparison.add( 'def', "Default output" );
-                this.selectOutputDatabasecomparison.add( 'diff_step', "diffÃ©rences moyennes" );
-                this.selectOutputDatabasecomparison.add( 'diff_step100', "diffÃ©rences moyennes en pourc" );
-                this.selectOutputDatabasecomparison.add( 'diff_stepboth', "diff moy et diff moy en pourc" );
+                this.selectOutputDatabasecomparison.add( 'diff_step', "Mean difference" );
+                this.selectOutputDatabasecomparison.add( 'diff_step100', "Mean difference in percentage" );
+                this.selectOutputDatabasecomparison.add( 'diff_stepboth', "Both mean difference" );
                 this.selectOutputDatabasecomparison.selectFirst( false );
 
@@ -755,9 +758,9 @@
                 //crÃ©ation de l'image d'attente
                 var param = new Object();
-               param.id = "loadingForGraphics";
-               param.parent = this.containerLoading;
-               this.loadingGraphics = new Loading( param );
-              // this.loadingGraphics.display();
-               //this.loadingGraphics.hide();
+                param.id = "loadingForGraphics";
+                param.parent = this.containerLoading;
+                this.loadingGraphics = new Loading( param );
+                // this.loadingGraphics.display();
+                //this.loadingGraphics.hide();
 
 
@@ -899,4 +902,18 @@
                 }
 
+                 //sÃ©lection du fichier binaire de deuxiÃšme base geisa sÃ©lectionnÃ©e  pour l'option graphique  "databases comparison"
+                var paramBase2 = "";
+                switch (this.selectDatabase2.getValue()) {
+                    case 'GEISA2003':
+                        paramBase2 = " -dirin "+this.pathProcess+" -dirout "+this.LongPathImages+this.NomRepFileOut+" -filein2 "+this.pathProcess+"line_GEISA2003_bin_gs08_v1.0 -database_name2 GEISA2003";
+                        break;
+                    case 'GEISA2011':
+                        paramBase2 = " -dirin "+this.pathProcess+" -dirout "+this.LongPathImages+this.NomRepFileOut+" -filein2 "+this.pathProcess+"line_GEISA2009_bin -database_name2 GEISA2011 -database_type gs08";
+                        break;
+                    case 'HITRAN2009':
+                        paramBase2 = " -dirin "+this.pathProcess+" -dirout "+this.LongPathImages+this.NomRepFileOut+" -filein2 "+this.pathProcess+"HITRAN_2009_bin -database_name2 HITRAN2009";
+                        break;
+                }
+
 
                 //molÃ©cules
@@ -1072,5 +1089,5 @@
 
 
-                //Sampling step
+                //Sampling step   Splitting step
                 if( $("#sampStep").val() > 0 )
                 {
@@ -1097,4 +1114,5 @@
                 }
 
+                //Splitting step
                 if( $("#sampStep").val() == 0 )
                 {
@@ -1198,5 +1216,5 @@
 
 
-                //Valeur de mean value
+                //Valeur de mean value  Bin-average
                 var meanValue = "-step "+$("#meanValue2").val();
                 //controle des valeurs entrÃ©es par l'utilisateur
@@ -1233,4 +1251,6 @@
                 //var lineType="-line_type "+document.getElementById('selectTypePlotY1').options[document.getElementById('selectTypePlotY1').selectedIndex].value;
 
+                //  sÃ©lection du type de tracÃ© pour la deuxiÃšme base dans l'option "databases comparison"
+                //var lineType3="-line_type3 "+this.selectTypeTraceDatabase2.getValue();
 
                 //sÃ©lection ou non d'un 2eme choix pour l'axe des Y   (pas de valeur pour ce champ si choix none ou si l'option n'est pas activÃ©e)
@@ -1267,4 +1287,29 @@
                 }
 
+                //choix du type de sortie pour l'option graphique 'databases comparison"
+                var diffStep="";
+                 this.selectOutputDatabasecomparison.getValue()
+                 switch (this.selectOutputDatabasecomparison.getValue()) {
+                     case 'def':
+                         diffStep = "";
+                         break;
+                     case 'diff_step':
+                         diffStep = "-diff_step";
+                         break;
+                     case 'diff_step100':
+                         diffStep = "-diff_step100";
+                         break;
+                     case 'diff_stepboth':
+                         diffStep = "-diff_stepboth";
+                         break;
+                }
+
+                //Dans l'option graphique "databases comparison", pour les sorties par diffÃ©rence moyenne le champ  "Bin-average" doit Ãªtre supÃ©rieur Ã  0
+                    if ($("#graphicOptionChoice").val() =="comparison" && $("#meanValue2").val() == 0  &&  this.selectOutputDatabasecomparison.getValue() != "def" )
+                    {
+                        alert("For average output, the Bin-average field must be > 0");
+                        return;
+                    }
+
 
                 //ouverture de la div de l'image d'attente
@@ -1280,5 +1325,4 @@
                 {
                     //construction de la requÃªte Fortran
-
                     var parameters = "&fortranRequest="+paramBase+" "+isotopesSelectedName+" "+rangeLower+" "+rangeUpper+" "+samplingStep+" "+intensityLower+" "+intensityUpper+" "+
                             meanValue+" "+nbCourbes+" "+field+" "+logScale+" "+lineType+" "+field2+" "+logScale2+" "+lineType2;
@@ -1305,11 +1349,53 @@
                 if ($("#graphicOptionChoice").val() =="global" )
                 {
-                 alert("global");
-                }
+                    //construction de la requÃªte Fortran
+
+                    var parameters = "&fortranRequest="+paramBase+" "+isotopesSelectedName+" "+rangeLower+" "+rangeUpper+" "+samplingStep+" "+intensityLower+" "+intensityUpper+" "+
+                            nbCourbes+" "+logScale+" "+lineType+" -global_position";
+
+
+                    //remplacement de espace par "EEE" pour que le shell script ne voit qu'un seul argument en entrÃ©e
+                    parameters=parameters.replace(/ /g,"kkk");
+
+                    //pas de transition dans cette option
+                    transitionUpper ="no";
+                    transitionLower ="no";
+
+                    //envoie de la requÃªte au controller
+                    //en cas de succes appel de la fonction "handleGeisa"
+                    $.ajax( {
+                                url: "project?methodName=createUserRequest&"+parameters+"&transitionUpper="+ transitionUpper+"&transitionLower="+ transitionLower+"&nbGraph="+ this.nbGraph+"&nomFichier="+this.nomFichier+"&NomRepFileOut="+this.NomRepFileOut,
+                                success:jQuery.proxy( this.handleGeisa, this )
+                            } );
+
+                }
+
+                //ParamÃštres Ã  prendre en compte pour l'option  "Databases comparison"
 
                 //Submit pour l'option graphique "Databases comparison"
                 if ($("#graphicOptionChoice").val() =="comparison" )
                 {
-                 alert("comparison");
+
+
+                    //construction de la requÃªte Fortran
+                    var parameters = "&fortranRequest="+paramBase+" "+paramBase2+" "+isotopesSelectedName+" "+rangeLower+" "+rangeUpper+" "+samplingStep+" "+intensityLower+" "+intensityUpper+" "+
+                            meanValue+" "+nbCourbes+" "+field+" "+logScale+" "+lineType+" "+diffStep;
+
+
+                    //remplacement de espace par "EEE" pour que le shell script ne voit qu'un seul argument en entrÃ©e
+                    parameters=parameters.replace(/ /g,"kkk");
+                    transitionUpper=transitionUpper.replace(/ /g,"kkk");
+                    //le + est interprÃ©tÃ© comme un espace (plus sera retransformÃ© en + dans le shell)
+                    transitionUpper=transitionUpper.replace(/\+/g,"plus");
+                    transitionLower=transitionLower.replace(/ /g,"kkk");
+                    transitionLower=transitionLower.replace(/\+/g,"plus");
+
+                    //envoie de la requÃªte au controller
+                    //en cas de succes appel de la fonction "handleGeisa"
+                    $.ajax( {
+                                url: "project?methodName=createUserRequest&"+parameters+"&transitionUpper="+ transitionUpper+"&transitionLower="+ transitionLower+"&nbGraph="+ this.nbGraph+"&nomFichier="+this.nomFichier+"&NomRepFileOut="+this.NomRepFileOut,
+                                success:jQuery.proxy( this.handleGeisa, this )
+                            } );
+
                 }
 