Index: geisa/web/initGeisa_script.jsp
===================================================================
--- geisa/web/initGeisa_script.jsp	(revision 690)
+++ geisa/web/initGeisa_script.jsp	(revision 694)
@@ -906,11 +906,11 @@
                 switch (this.selectDatabase2.getValue()) {
                     case 'GEISA2003':
-                        paramBase2 = " -dirin "+this.pathProcess+" -dirout "+this.LongPathImages+this.NomRepFileOut+" -filein2 "+this.pathProcess+"line_GEISA2003_bin_gs08_v1.0 -database_name2 GEISA2003";
+                        paramBase2 = " -filein2 "+this.pathProcess+"line_GEISA2003_bin_gs08_v1.0 -database_name2 GEISA2003";
                         break;
                     case 'GEISA2011':
-                        paramBase2 = " -dirin "+this.pathProcess+" -dirout "+this.LongPathImages+this.NomRepFileOut+" -filein2 "+this.pathProcess+"line_GEISA2009_bin -database_name2 GEISA2011 -database_type gs08";
+                        paramBase2 = " -filein2 "+this.pathProcess+"line_GEISA2009_bin -database_name2 GEISA2011 -database_type gs08";
                         break;
                     case 'HITRAN2009':
-                        paramBase2 = " -dirin "+this.pathProcess+" -dirout "+this.LongPathImages+this.NomRepFileOut+" -filein2 "+this.pathProcess+"HITRAN_2009_bin -database_name2 HITRAN2009";
+                        paramBase2 = " -filein2 "+this.pathProcess+"HITRAN_2009_bin -database_name2 HITRAN2009";
                         break;
                 }
@@ -969,5 +969,5 @@
                         this.nbCourbe =  this.nbMolecules;
                         if (this.nbCourbe > 8) {
-                            alert("Too much molecules selected to draw one curve for each molecule selected");
+                            alert("Too much molecules selected to draw one curve for each molecule selected (>8)");
                             return;
                         }
@@ -978,5 +978,5 @@
                         this.nbCourbe =  this.nbIsotopes;
                         if (this.nbCourbe > 8) {
-                            alert("Too much isotopologues selected to draw one curve for each isotopologues selected");
+                            alert("Too much isotopologues selected to draw one curve for each isotopologues selected (>8)");
                             return;
                         }
@@ -986,5 +986,5 @@
                         this.nbGraph = this.nbMolecules;
                         if (this.nbGraph > 20) {
-                            alert("Too much molecules selected to draw one graph for each molecules selected");
+                            alert("Too much molecules selected to draw one graph for each molecules selected (>20)");
                             return;
                         }
@@ -994,5 +994,5 @@
                         this.nbGraph = this.nbIsotopes;
                         if (this.nbGraph > 20) {
-                            alert("Too much isotopologues selected to draw one graph for each isotopologues selected");
+                            alert("Too much isotopologues selected to draw one graph for each isotopologues selected (>20)");
                             return;
                         }
@@ -1265,4 +1265,6 @@
                 }
 
+
+
                 //sÃ©lection du type d'Ã©chelle pour le parametre Y2 (il y a une valeur pour ce champ que si logaritmic est choisi et si l'option est activÃ©e)
                 if  (this.selectScaleY2.getValue() == '-log_scale2' && this.selectScaleY2.isDisable == false)
@@ -1289,5 +1291,4 @@
                 //choix du type de sortie pour l'option graphique 'databases comparison"
                 var diffStep="";
-                 this.selectOutputDatabasecomparison.getValue()
                  switch (this.selectOutputDatabasecomparison.getValue()) {
                      case 'def':
@@ -1318,6 +1319,18 @@
 
                 //construction du nom du fichier  (exemple  GEISA2011-0_100)
-                this.nomFichier=this.selectDatabase.getValue()+"-"+$("#rangeLower").val()+"_"+$("#rangeUpper").val();
-
+                //this.nomFichier=this.selectDatabase.getValue()+"-"+$("#rangeLower").val()+"_"+$("#rangeUpper").val();
+                switch ($("#graphicOptionChoice").val()) {
+                    //(exemple  GEISA2011-0_100)
+                    case 'contents':
+                        this.nomFichier=this.selectDatabase.getValue()+"-"+$("#rangeLower").val()+"_"+$("#rangeUpper").val();
+                        break;
+                    case 'global':
+                        this.nomFichier=this.selectDatabase.getValue()+"-"+$("#rangeLower").val()+"_"+$("#rangeUpper").val();
+                        break;
+                    //(exemple  GEISA2011_GEISA2003-0_100)
+                    case 'comparison':
+                        this.nomFichier=this.selectDatabase.getValue()+"_"+this.selectDatabase2.getValue()+"-"+$("#rangeLower").val()+"_"+$("#rangeUpper").val();
+                        break;
+                }
 
                 //Submit pour l'option graphique "Database contents"
@@ -1376,9 +1389,11 @@
                 if ($("#graphicOptionChoice").val() =="comparison" )
                 {
+                    //sÃ©lection du type de tracÃ© pour pour la 2Ãšme base de donnÃ©es pour l'option "database comparison"
+                    var lineType2="-line_type2 "+this.selectTypeTraceDatabase2.getValue();
 
 
                     //construction de la requÃªte Fortran
                     var parameters = "&fortranRequest="+paramBase+" "+paramBase2+" "+isotopesSelectedName+" "+rangeLower+" "+rangeUpper+" "+samplingStep+" "+intensityLower+" "+intensityUpper+" "+
-                            meanValue+" "+nbCourbes+" "+field+" "+logScale+" "+lineType+" "+diffStep;
+                            meanValue+" "+nbCourbes+" "+field+" "+logScale+" "+lineType+" "+lineType2+" "+diffStep;
 
 