Index: ether_iasi/trunk/web/src/messages_fr.properties
===================================================================
--- ether_iasi/trunk/web/src/messages_fr.properties	(revision 710)
+++ ether_iasi/trunk/web/src/messages_fr.properties	(revision 714)
@@ -1,62 +1,73 @@
 inWork=Page en cours de construction..
-language=FranÃ§ais
-label.language.fr=FranÃ§ais
-label.language.en=Anglais
-label.language=Langue
+language=fr
+label.language.to.switch=Anglais
+label.language.value.to.switch=en
 
-app.title=Geisa
-app.fulltitle=Titre complet de Tapas
-app.Geisafulltitle=GEISA : spectroscopic database
+title=Statistiques
+label.connection=Connexion
+label.firstname=PrÃ©nom
+label.lastname=Nom
+label.login=Login
+label.pwd=Mot de passe
+label.help=Aide
+label.help.content=Cette interface propose les statistiques des projets prÃ©sentÃ©s ci-dessus.<BR/>AprÃšs s'Ãªtre connectÃ©, vous pourrez y accÃ©der en cliquant sur l'un de ces logos ou en dÃ©roulant le slide 'Projets'.<BR/>Les slides verts sont roulables/dÃ©roulables via un <B>double-click</B> sur leur bandeau !
+label.display.actions=Afficher les actions
+label.actions=Actions
+label.mentions=Mentions
+label.credits=CrÃ©dits
+label.print=Imprimer
+label.unknown=Inconnu
+label.awstats=Lancer Awstats
+label.projects=Projets
+label.january=Janvier
+label.february=FÃ©vrier
+label.march=Mars
+label.april=Avril
+label.may=Mai
+label.june=Juin
+label.july=Juillet
+label.august=AoÃ»t
+label.september=Septembre
+label.october=Octobre
+label.november=Novembre
+label.december=DÃ©cembre
+label.go=Go
 
-title.home=Les donnÃ©es Geisa
-
-label.home=Accueil
-label.map=Plan
-label.mail=Email
-
-label.atmosphere.chemistry=Chimie de l&apos;atmosphÃšre
-label.activities=ActivitÃ©s
-label.data.services=DonnÃ©es/Services
-label.community=CommunautÃ©
-label.pole.presentation=PrÃ©sentation du pÃŽle
-label.users.committee=ComitÃ© utilisateurs
-label.laboratories=Laboratoires
-label.workshops=Colloques/Ateliers
-label.ether.letters=Lettres Ether
-label.informations=Informations
-
-label.balloons=Ballons
-label.satellites=Satellites
-label.campaigns=Campagnes
-label.models=ModÃšles
-label.meteo=MÃ©tÃ©o
-label.links=Liens
-
-home.title.part1=Centre de Produits et Services
-home.title.part2=de la Chimie de l&apos;AtmosphÃšre
-home.news=A C T U A L I T E S
-home.main.activities=PRINCIPALES ACTIVITES D&apos;ETHER
-home.data=DONNEES
-home.databases=BASES DE DONNEES
-home.services=SERVICES
-
-logo.mimosa.alt=Potential vorticity, temperature analysis and forecasts
-logo.reprobus.alt=Chemistry Transport Model in Polar Winters
-logo.iasi.alt=Infrared Atmospheric Sounding Interferometer
-logo.tropico.alt=TRO-pico campaign
-logo.geisa.alt=Spectroscopic data
-logo.mozaic.alt=Measurements of OZone, water vapour, carbon monoxide and nitrogen oxides by in-services AIrbus airCraft
-logo.eccad.alt=Emissions data and ancillary data for emissions calculation
-logo.megapoli.alt=Megacities: Emissions, urban, regional and Global Atmospheric POLlution and climate effects, and Integrated tools for assessment and mitigation
-logo.balloons.alt=Ballons
-logo.satellites.alt=DonnÃ©es disponibles dans ETHER
-logo.campaigns.alt=Campagnes
-logo.models.alt=ModÃšles
-logo.meteo.alt=MÃ©tÃ©o
-logo.ramces.alt=RÃ©seau atmosphÃ©rique de Mesure des ComposÃ©s Ã  Effet de Serre
-logo.kinetics.alt=Chemical Kinetics Database
-logo.links.alt=Liens
+statistics.online=En ligne depuis le
+statistics.since=Statistiques depuis
+statistics.user.registered=Utilisateurs enregistrÃ©s
+statistics.user.connected=Utilisateurs connectÃ©s
+statistics.visit=Pages visitÃ©es
+statistics.email=Emails
+statistics.data=DonnÃ©es
+statistics.data.download=TÃ©lÃ©chargements
+statistics.data.download.size=Taille
+statistics.duration=DurÃ©e de connexions
+statistics.duration.total=Totale
+statistics.duration.average=Moyenne
+statistics.domain=Domaines / Pays
+statistics.summary=RÃ©sumÃ©
+statistics.monthly=Historique mensuel
+statistics.daily=Jours du mois
+statistics.daysofweek=Jours de la semaine
+statistics.hours=Heures
+statistics.visit.duration=DurÃ©e des visites
 
 
-label.submitButton=COURIR
+statistics.evolution=Evolution des statistiques
+statistics.evolution.distribution=Evolution et rÃ©partition des statistiques
+statistics.evolution.visit=Evolution des pages visitÃ©es
+statistics.distribution.visit=RÃ©partition des pages visitÃ©es
+statistics.evolution.user.registered=Evolution des utilisateurs enregistrÃ©s
+statistics.distribution.user.registered=RÃ©partition des utilisateurs enregistrÃ©s
+statistics.evolution.user.connected=Evolution des utilisateurs connectÃ©s
+statistics.distribution.user.connected=RÃ©partition des utilisateurs connectÃ©s
+statistics.evolution.download=Evolution des tÃ©lÃ©chargements
+statistics.distribution.download=RÃ©partition des tÃ©lÃ©chargements
+statistics.map.distribution=RÃ©partition gÃ©ographique
 
+error.connection.need=Veuillez tout d'abord vous connecter
+error.login.failed=Erreur de connexion
+ERROR_LOGIN_NOT_FOUND=Erreur : login inconnu
+ERROR_PASSWORD=Erreur : mot de passe incorrect
+ERROR_ENCRYPT_PASSWORD=Erreur d'encryptage du mot de passe