Index: /geisa/web/initGeisa.jsp
===================================================================
--- /geisa/web/initGeisa.jsp	(revision 761)
+++ /geisa/web/initGeisa.jsp	(revision 762)
@@ -37,17 +37,17 @@
 
 
-<div id="informationContents" class="information"> This tool allows you to draw the spectroscopic parameters in function of the wavenumber. Please select the parameters to draw your own graph.
-    <br>
-    For further information, please download the <a href="#">user manual</a>.
+<div id="informationContents" class="information"> This tool allows you to draw spectroscopic parameters in function of the wavenumber. Please select the parameters to draw your own graph.
+    <!--<br>
+    For further information, please download the <a href="#">user manual</a>.  -->
 </div>
 
 <div style="display:none;" id="informationGlobal" class="information"> This tool allows you to see the line positions of several molecules or isotopologues in a chosen spectral range.
-    <br>
-    For further information, please download the <a href="#">user manual</a>.
+    <!--<br>
+    For further information, please download the <a href="#">user manual</a>. -->
 </div>
 
 <div style="display:none;" id="informationComparison" class="information"> This tool allows you to compare different databases content.
-    <br>
-    For further information, please download the <a href="#">user manual</a>.
+    <!--<br>
+    For further information, please download the <a href="#">user manual</a>. -->
 </div>
 
@@ -105,5 +105,5 @@
 
             <div id="axeY1Gene" class="axeY1Gene">
-                <fieldset class="options"><legend><b>Choosing line transition parameter :  </b><a href="#" TITLE="Selection of spectral parameter to draw (intensity, HWM ..etc.) according to wavenumbers. Note that, itâs possible to draw also the number of transitions when a bin-average greater than 0 is chosen (see advanced options). "><img src="resources/images/elements/index.jpeg" height="16px" width="16px"></a>  </legend>
+                <fieldset class="options"><legend><b>Choosing line transition parameter :  </b><a href="#" TITLE="Selection of spectral parameter to draw (intensity, HWM ..etc.) according to wavenumbers. Note that, itâs possible to draw also the number of transitions when a bin-average greater than 0 is chosen (see advanced options). "><img src="resources/images/elements/index-or.jpeg" height="16px" width="16px"></a>  </legend>
                     <div id="axeY1" class="containerInsideOptions"></div>
                 </fieldset>
@@ -133,5 +133,5 @@
         <fieldset class="general"><legend><span class="fieldsetGeneralTitle">Advanced Options :</span></legend>
             <div id="transition" class="transition">
-                <fieldset class="options"><legend>  <b>Choosing vibrational transitions :  </b><a href="#" TITLE="Selection of an upper and/or a lower vibrational state related to one given molecule. The list of available states depends on the chosen molecule and on the spectral interval."><img src="resources/images/elements/index.jpeg" height="16px" width="16px"></a></legend>
+                <fieldset class="options"><legend>  <b>Choosing vibrational transitions :  </b><a href="#" TITLE="Selection of an upper and/or a lower vibrational state related to one given molecule. The list of available states depends on the chosen molecule and on the spectral interval."><img src="resources/images/elements/index-or.jpeg" height="16px" width="16px"></a></legend>
                     <div id="transitionValue" class="transitionValue">
                         <div  id="transitionUpper" class="containerInsideOptions"></div>
@@ -144,5 +144,5 @@
 
             <div  id="meanValue" class="meanValue">
-                <fieldset class="options"><legend> <b>Parameter mean values :  </b><a href="#" TITLE="To draw average values of the selected parameter, choose a bin-average greater than 0. The bin-average is the step according to which the averages values are calculated. "><img src="resources/images/elements/index.jpeg" height="16px" width="16px"></a></legend>
+                <fieldset class="options"><legend> <b>Parameter mean values :  </b><a href="#" TITLE="To draw average values of the selected parameter, choose a bin-average greater than 0. The bin-average is the step according to which the averages values are calculated. "><img src="resources/images/elements/index-or.jpeg" height="16px" width="16px"></a></legend>
                     <div id="meanValue1" class="containerInsideOptions"></div>
                     <!--Pour l'onglet "Database comparison"   -->
@@ -154,5 +154,5 @@
 
             <div id="axeY2Gene" class="axeY2Gene">
-                <fieldset class="options"><legend>  <b>Choosing secondary line transition parameter :  </b><a href="#" TITLE="Optional option, for drawing a secondary parameter (coupled with the primary one)."><img src="resources/images/elements/index.jpeg" height="16px" width="16px"></a></legend>
+                <fieldset class="options"><legend>  <b>Choosing secondary line transition parameter :  </b><a href="#" TITLE="Optional option, for drawing a secondary parameter (coupled with the primary one)."><img src="resources/images/elements/index-or.jpeg" height="16px" width="16px"></a></legend>
                     <div id="axeY2Titre" class="containerInsideOptions"></div>
                     <div id="axeY2" class="containerInsideOptions"></div>
Index: /geisa/web/initGeisa_script.jsp
===================================================================
--- /geisa/web/initGeisa_script.jsp	(revision 761)
+++ /geisa/web/initGeisa_script.jsp	(revision 762)
@@ -521,5 +521,5 @@
                 document.getElementById("spectralRangeLower").innerHTML = "Lower value, cm<sup>-1</sup> : ";
                 document.getElementById("spectralRangeUpper").innerHTML = "Upper value, cm<sup>-1</sup> : ";
-                document.getElementById("samplingStep").innerHTML = "<br> Splitting step, cm<sup>-1</sup> : <a href='#' TITLE='Split equally the selected spectral range for generating a series of graphs. Default case: one graph for the whole spectral range.'><img src='resources/images/elements/index.jpeg' height='16px' width='16px'></a>  ";
+                document.getElementById("samplingStep").innerHTML = "<br> Splitting step, cm<sup>-1</sup> : <a href='#' TITLE='Split equally the selected spectral range for generating a series of graphs. Default case: one graph for the whole spectral range.'><img src='resources/images/elements/index-or.jpeg' height='16px' width='16px'></a>  ";
                 //zone texte  SpectralRangeLower
                 var inputSpectralRangeLower = $( document.createElement( "input" ) );
@@ -593,5 +593,5 @@
                 paramNbCourbes.parent = $("#nbCourbes");
                 this.selectNbCourbes = new Select( paramNbCourbes );
-                this.selectNbCourbes.add( 'ca', "One curve for all selection", jQuery.proxy(this.onClickSelectNbCourbes, this ) );
+                this.selectNbCourbes.add( 'ca', "One curve for all selected molecules", jQuery.proxy(this.onClickSelectNbCourbes, this ) );
                 this.selectNbCourbes.add( 'cm', "Separated molecules : same graph", jQuery.proxy(this.onClickSelectNbCourbes, this ) );
                 this.selectNbCourbes.add( 'gm', "Separated molecules : different graphs", jQuery.proxy(this.onClickSelectNbCourbes, this ) );
@@ -683,6 +683,7 @@
                 //Zone text Mean Value  Bin-average
                 //Titre
-                var titleMeanValue = document.createTextNode("Bin-average : ");
-                document.getElementById("meanValue1").appendChild(titleMeanValue);
+                document.getElementById("meanValue1").innerHTML = "Bin-average, cm<sup>-1</sup> : ";
+                //var titleMeanValue = document.createTextNode("Bin-average : ");
+                //document.getElementById("meanValue1").appendChild(titleMeanValue);
                 //champ input
                 var inputMeanValue = $( document.createElement( "input" ) );
@@ -761,6 +762,8 @@
                 // Create case Ã  cocher  choix de la sortie pour l'onglet "Database comparison"
                 //Titre
-                var titleOutput = document.createTextNode("Mean value output choice (if Bin-average>0) : ");
-                document.getElementById("outputChoiceTitre").appendChild(titleOutput);
+               // var titleOutput = document.createTextNode("Mean value output choice (if Bin-average>0) : ");
+               // document.getElementById("outputChoiceTitre").appendChild(titleOutput);
+                document.getElementById("outputChoiceTitre").innerHTML = "Mean value output choice (if Bin-average>0) :  <a href='#' TITLE='Drawing differences is only available when a bin-average greater than 0 is chosen.'><img src='resources/images/elements/index-or.jpeg' height='16px' width='16px'></a>  ";
+
                 //case Ã  cocher
                 var titleDifferences = document.createTextNode("Differences ");
@@ -918,5 +921,5 @@
                         break;
                     case 'GEISA2011':
-                        paramBase = " -dirin "+this.pathProcess+" -dirout "+this.LongPathImages+this.NomRepFileOut+" -filein "+this.pathProcess+"line_GEISA2009_bin -database_name GEISA2011 -database_type gs08 -type_out png";
+                        paramBase = " -dirin "+this.pathProcess+" -dirout "+this.LongPathImages+this.NomRepFileOut+" -filein "+this.pathProcess+"line_GEISA2011_bin_gs08_v1.0 -database_name GEISA2011 -database_type gs08 -type_out png";
                         break;
                     case 'GEISAIASI2003':
@@ -1040,6 +1043,6 @@
                             nbCourbes = "-separate_mol ";
                             this.nbGraph = this.nbMolecules;
-                            if (this.nbGraph > 20) {
-                                alert("Too much molecules selected to draw one graph for each molecules selected (>20)");
+                            if (this.nbGraph > 50) {
+                                alert("Too much molecules selected to draw one graph for each molecules selected (>50)");
                                 return;
                             }
@@ -1048,6 +1051,6 @@
                             nbCourbes = "-separate_iso ";
                             this.nbGraph = this.nbIsotopes;
-                            if (this.nbGraph > 20) {
-                                alert("Too much isotopologues selected to draw one graph for each isotopologues selected (>20)");
+                            if (this.nbGraph > 50) {
+                                alert("Too much isotopologues selected to draw one graph for each isotopologues selected (>50)");
                                 return;
                             }
@@ -1176,5 +1179,5 @@
 
                 //test sur le nombre de graphs gÃ©nÃ©rÃ©s
-                if (this.nbGraph > 20)
+                if (this.nbGraph > 50)
                 {
                     alert("Too many graphics will be drawn ("+this.nbGraph+"). Please change the value of the sampling step or change the type of graph.");
@@ -1939,5 +1942,5 @@
                     //pour effacer le menu dÃ©roulant
                 this.selectNbCourbes.clear();
-                this.selectNbCourbes.add( 'ca', "One curve for all selection", jQuery.proxy(this.onClickSelectNbCourbes, this ) );
+                this.selectNbCourbes.add( 'ca', "One curve for all selected molecules", jQuery.proxy(this.onClickSelectNbCourbes, this ) );
                 this.selectNbCourbes.add( 'cm', "Separated molecules : same graph", jQuery.proxy(this.onClickSelectNbCourbes, this ) );
                 this.selectNbCourbes.add( 'gm', "Separated molecules : different graphs", jQuery.proxy(this.onClickSelectNbCourbes, this ) );
@@ -2075,5 +2078,5 @@
 
                 this.selectNbCourbes.clear();
-                this.selectNbCourbes.add( 'ca', "One curve for all selection", jQuery.proxy(this.onClickSelectNbCourbes, this ) );
+                this.selectNbCourbes.add( 'ca', "One curve for all selected molecules", jQuery.proxy(this.onClickSelectNbCourbes, this ) );
                 this.selectNbCourbes.add( 'gm', "Separated molecules : different graphs", jQuery.proxy(this.onClickSelectNbCourbes, this ) );
                 this.selectNbCourbes.add( 'gi', "Separated isotopologues : different graphs", jQuery.proxy(this.onClickSelectNbCourbes, this ) );
Index: /geisa/web/src/com/ether/Controller.java
===================================================================
--- /geisa/web/src/com/ether/Controller.java	(revision 761)
+++ /geisa/web/src/com/ether/Controller.java	(revision 762)
@@ -83,5 +83,5 @@
             final String lastFileName = "endFile";
             final File lastFile = new java.io.File(LONG_PATH_IMAGES+NomRepFileOut+lastFileName);
-            final Integer maxTimeWait = 65000;
+            final Integer maxTimeWait = 68000;
 
 
@@ -283,7 +283,7 @@
 
     //local
-    public static final String PATH_PROCESS = "/home/npipsl/Desktop/geisa-Graphique/prog-ether/";
+     public static final String PATH_PROCESS = "/home/npipsl/Desktop/geisa-Graphique/prog-ether/";
     //naboo
-    // public static final String PATH_PROCESS = "/home/www/GEISA/";
+   // public static final String PATH_PROCESS = "/home/www/GEISA/";
     private static final String VIEW_INIT = "init";
     private static final String VIEW_INIT2 = "initGeisa";