Index: ether_ndacc/trunk/web/data_ohp.jsp
===================================================================
--- ether_ndacc/trunk/web/data_ohp_v2.jsp	(revision 518)
+++ ether_ndacc/trunk/web/data_ohp.jsp	(revision 770)
@@ -47,6 +47,6 @@
 
 </div>
-<div style="margin-top: -35px; height: 660px; width: 1230px ;" class="plein">
-<fieldset class="cfs">
+<div style="margin-top: -35px; height: 710px; width: 1230px ;" class="plein">
+<fieldset class="cfs2">
     <legend class="cielbh1">Observatoire de Haute Provence</legend>
 
@@ -54,9 +54,14 @@
 
 <table width=1130px border=0>
-<tr>
-<td height=40 valign=top class="ciel" colspan=2><i>[ <spring:message code="station.alpine"/> - Lat : 43Â°56'N, Lon : 05Â°42'E ]</i></td>
-</tr>
+
+    <span class="ciel"><i>[ <spring:message code="station.alpine"/> - Lat : 43Â°56'N, Lon : 05Â°42'E ]</i></span>&nbsp;&nbsp;&nbsp;&nbsp;
+    <a class="ciel" href="http://sosgm.obs.uvsq.fr/spip.php?rubrique4" target="_blank"><i><spring:message code="acces.donnees"/></i></a>&nbsp;&nbsp;&nbsp;&nbsp;
+    <span class="ciel"><i><spring:message code="coordinateur.scientifique"/> : Philippe Keckhut</i></span>&nbsp;&nbsp;&nbsp;&nbsp;
+    <span class="ciel"><i><spring:message code="station.chef"/> : Guy Tournois</i></span>&nbsp;&nbsp;&nbsp;&nbsp;
+
 </table>
-<table cellpadding="2" cellspacing="2" width="1130px" border=0>
+    <br>
+    <!--
+    <table cellpadding="2" cellspacing="2" width="1130px" border=0>
 <tr>
 	<td height="10" valign="top" width=170 class="cielb"><spring:message code="Logistique"/></td>
@@ -95,4 +100,5 @@
 
 </table>
+-->
 
 <div style="margin-left:0px; margin-top:5px; top:750px; width:1150px; height:50px;">
@@ -125,5 +131,5 @@
 <td class="blanc2" width=""><a href="" onclick="openW ('./no2.jsp', NWIN1, WCONF1b);">NO2</a>/<a href="" onclick="openW ('./ozone.jsp', NWIN1, WCONF1);">O3</a> column</td>
 <td class="blanc2" width="">A. Pazmino, F. Goutail and J. P. Pommereau</td>
-<td class="blanc2" width=""><a href="" title="Data access" onclick="OuvrirPageWD ('./disclaimer.jsp','ftp://ftp.cpc.ncep.noaa.gov/ndacc/station/ohp/ames/uvvis/')">1992-2010</a>
+<td class="blanc2" width=""><a href="" title="Data access" onclick="OuvrirPageWD ('./disclaimer.jsp','ftp://ftp.cpc.ncep.noaa.gov/ndacc/station/ohp/ames/uvvis/')">1992-2012</a>
 <br><i>pattern files : ohtc[yy][mm].gfv or ohtc[yy][mm].pzv</i></td>
 <td class="orange" nowrap align="center">
@@ -148,5 +154,5 @@
 <br><span class="itap"><i>(4-14 km)</i></span></td>
 <td class="blanc2" width="15%">G. Ancellet</td>
-<td class="blanc2" width="22%"><a href="" onclick="OuvrirPageWD ('./disclaimer.jsp','ftp://ftp.cpc.ncep.noaa.gov/ndacc/station/ohp/ames/lidar/')" title="Data access" target="_blank">1990-2008</a>
+<td class="blanc2" width="22%"><a href="" onclick="OuvrirPageWD ('./disclaimer.jsp','ftp://ftp.cpc.ncep.noaa.gov/ndacc/station/ohp/ames/lidar/')" title="Data access" target="_blank">1990-2009/2012</a>
 <br><i>pattern files : ohto[yy][mm].anl</i>
 
@@ -169,5 +175,5 @@
 <br><span class="itap"><i>(10-50 km)</i></span></td>
 <td class="blanc2" width="">S. Godin-Beekmann</td>
-<td class="blanc2" width=""><a href="" title="Data access" onclick="OuvrirPageWD ('./disclaimer.jsp','ftp://ftp.cpc.ncep.noaa.gov/ndacc/station/ohp/ames/lidar/')">1985-2012/01</a>
+<td class="blanc2" width=""><a href="" title="Data access" onclick="OuvrirPageWD ('./disclaimer.jsp','ftp://ftp.cpc.ncep.noaa.gov/ndacc/station/ohp/ames/lidar/')">1985-05/2013</a>
 <br><i>pattern files : oho3[yy][mm].gol</i></td>
 <td class="orange" nowrap align="center">
@@ -186,5 +192,5 @@
 <br><span class="itap"><i>(30-80 km)</i></span></td>
 <td class="blanc2" width="">P. Keckhut and A. Hauchecorne</td>
-<td class="blanc2" width=""><a href="" title="Data access" onclick="OuvrirPageWD ('./disclaimer.jsp','ftp://ftp.cpc.ncep.noaa.gov/ndacc/station/ohp/ames/lidar/')">1991-08/2009</a>
+<td class="blanc2" width=""><a href="" title="Data access" onclick="OuvrirPageWD ('./disclaimer.jsp','ftp://ftp.cpc.ncep.noaa.gov/ndacc/station/ohp/ames/lidar/')">1991-08/2009-10/11/12/2012-06/2013</a>
 <br><i>pattern files : ohte[yy][mm].hal</i></td>
 
@@ -205,5 +211,5 @@
 <td class="blanc2" width=""><a href="" onclick="openW ('./aerosols.jsp', NWIN1, WCONF1);">Aerosols</a> profiles</td>
 <td class="blanc2" width="">J. Jumelet et P. Keckhut</td>
-<td class="blanc2" width=""><a href="" title="Data access" onclick="OuvrirPageWD ('./disclaimer.jsp','ftp://ftp.cpc.ncep.noaa.gov/ndacc/station/ohp/ames/lidar/')">1991-1994, 1999-2010/08</a>
+<td class="blanc2" width=""><a href="" title="Data access" onclick="OuvrirPageWD ('./disclaimer.jsp','ftp://ftp.cpc.ncep.noaa.gov/ndacc/station/ohp/ames/lidar/')">1991-1994, 1999-2010, 2012-2013/06</a>
 <br><i>pattern files : ohae[yy][mm].dal</i></td>
 
@@ -223,5 +229,5 @@
 <td class="blanc2" width=""><a href="" onclick="openW ('./ozone.jsp', NWIN1, WCONF1);">O3</a> profiles</td>
 <td class="blanc2" width="">S. Godin-Beekmann and G. Ancellet</td>
-<td class="blanc2" width="">NDACC : <a href="" title="Data access" onclick="OuvrirPageWD ('./disclaimer.jsp','ftp://ftp.cpc.ncep.noaa.gov/ndacc/station/ohp/ames/o3sonde/')">1995-06/2011</a>
+<td class="blanc2" width=""><a href="" title="Data access" onclick="OuvrirPageWD ('./disclaimer.jsp','ftp://ftp.cpc.ncep.noaa.gov/ndacc/station/ohp/ames/o3sonde/')">1995-2012</a>
 <br><i>pattern files : oh[yy][mm][dd].b*</i>
 <br><br>
@@ -258,5 +264,5 @@
 <td class="blanc2" width=""><a href="" onclick="openW ('./ozone.jsp', NWIN1, WCONF1);">O3</a> column</td>
 <td class="blanc2" width="">R. Evans and M-R Debacker (NOAA)</td>
-<td class="blanc2" width=""><a href="" title="Data access" onclick="OuvrirPageWD ('./disclaimer.jsp','ftp://ftp.cpc.ncep.noaa.gov/ndacc/station/ohp/ames/dobson/')">1983-2011</a>
+<td class="blanc2" width=""><a href="" title="Data access" onclick="OuvrirPageWD ('./disclaimer.jsp','ftp://ftp.cpc.ncep.noaa.gov/ndacc/station/ohp/ames/dobson/')">1983-2012</a>
 <br><i>pattern files : ohtc[yy][mm].evd</i></td>
     <td class="orange" align="center" width=11%><a href="" title="Results" onclick="OuvrirFeuilleDyn ('visus_dobson.jsp?station=ohp')">
@@ -265,5 +271,5 @@
 </td>
 <td class="orange" nowrap>&nbsp;</td>
-<td class="vert" width="220"><spring:message code="courant"/></td>
+<td class="vert" width="220"><spring:message code="courant"/></td2>
 </tr>
 