Index: ether_ndacc/trunk/web/data_bauru.jsp
===================================================================
--- ether_ndacc/trunk/web/data_bauru.jsp	(revision 794)
+++ ether_ndacc/trunk/web/data_bauru.jsp	(revision 795)
@@ -106,6 +106,6 @@
     <td class="blanc2" width="15%"><a href="" onclick="openW ('./no2.jsp', NWIN1, WCONF1b);">NO2</a>/<a href="" onclick="openW ('./ozone.jsp', NWIN1, WCONF1);">O3</a> column</td>
     <td class="blanc2" width="15%">A. Pazmino, F. Goutail, J. P. Pommereau and G. Held (UNESP)</td>
-    <td class="blanc2" width="22%"><a href="" title="Data access" onclick="OuvrirPageWD ('./disclaimer.jsp','ftp://ftp.cpc.ncep.noaa.gov/ndacc/station/bauru/ames/uvvis/')">1995-2012</a>
-<br><i>pattern files : brtc[yy][mm].*</i></td>
+    <td class="blanc2" width="22%"><a href="" title="Data access" onclick="OuvrirPageWD ('./disclaimer.jsp','ftp://ftp.cpc.ncep.noaa.gov/ndacc/station/bauru/ames/uvvis/')">1995-2013</a>
+<br><i>pattern files : brtc[yy][mm].pzv</i></td>
     <td class="orange" align="center" width=11%><a href="" title="Results" onclick="OuvrirFeuilleDyn ('visus_saoz.jsp?station=bau')">
 <img border=1 src="resources/images/results.jpg" width="60px"></img>
Index: ether_ndacc/trunk/web/data_ddu.jsp
===================================================================
--- ether_ndacc/trunk/web/data_ddu.jsp	(revision 794)
+++ ether_ndacc/trunk/web/data_ddu.jsp	(revision 795)
@@ -120,6 +120,6 @@
         <td class="blanc2" width="220"><a href="" onclick="openW ('./no2.jsp', NWIN1, WCONF1b);">NO2</a>/<a href="" onclick="openW ('./ozone.jsp', NWIN1, WCONF1);">O3</a> column</td>
         <td class="blanc2" width="180">A. Pazmino, F. Goutail and J. P. Pommereau</td>
-        <td class="blanc2" width="220"><a href="" title="Data access" onclick="OuvrirPageWD ('./disclaimer.jsp','ftp://ftp.cpc.ncep.noaa.gov/ndacc/station/dumont/ames/uvvis/')">1988-2012</a>
-        <br><i>pattern files : dutc[yy][mm].gfv</i></td>
+        <td class="blanc2" width="220"><a href="" title="Data access" onclick="OuvrirPageWD ('./disclaimer.jsp','ftp://ftp.cpc.ncep.noaa.gov/ndacc/station/dumont/ames/uvvis/')">1988-2013</a>
+        <br><i>pattern files : dutc[yy][mm].pzv</i></td>
 
         <td class="orange" nowrap align="center">
Index: ether_ndacc/trunk/web/data_kerguelen.jsp
===================================================================
--- ether_ndacc/trunk/web/data_kerguelen.jsp	(revision 794)
+++ ether_ndacc/trunk/web/data_kerguelen.jsp	(revision 795)
@@ -107,6 +107,6 @@
     <td class="blanc2" width="15%"><a href="" onclick="openW ('./no2.jsp', NWIN1, WCONF1b);">NO2</a>/<a href="" onclick="openW ('./ozone.jsp', NWIN1, WCONF1);">O3</a> column</td>
     <td class="blanc2" width="15%">A. Pazmino, F. Goutail and J. P. Pommereau</td>
-    <td class="blanc2" width="22%"><a href="" title="Data access" onclick="OuvrirPageWD ('./disclaimer.jsp','ftp://ftp.cpc.ncep.noaa.gov/ndacc/station/kerguele/ames/uvvis/')">1995-2012</a>
-<br><i>pattern files : ketc[yy][mm].*</i></td>
+    <td class="blanc2" width="22%"><a href="" title="Data access" onclick="OuvrirPageWD ('./disclaimer.jsp','ftp://ftp.cpc.ncep.noaa.gov/ndacc/station/kerguele/ames/uvvis/')">1995-2013</a>
+<br><i>pattern files : ketc[yy][mm].pzv</i></td>
     <td class="orange" align="center" width=11%><a href="" title="Results" onclick="OuvrirFeuilleDyn ('visus_saoz.jsp?station=ker')">
 <img border=1 src="resources/images/results.jpg" width="60px"></img>
Index: ether_ndacc/trunk/web/data_ohp.jsp
===================================================================
--- ether_ndacc/trunk/web/data_ohp.jsp	(revision 794)
+++ ether_ndacc/trunk/web/data_ohp.jsp	(revision 795)
@@ -131,6 +131,6 @@
 <td class="blanc2" width=""><a href="" onclick="openW ('./no2.jsp', NWIN1, WCONF1b);">NO2</a>/<a href="" onclick="openW ('./ozone.jsp', NWIN1, WCONF1);">O3</a> column</td>
 <td class="blanc2" width="">A. Pazmino, F. Goutail and J. P. Pommereau</td>
-<td class="blanc2" width=""><a href="" title="Data access" onclick="OuvrirPageWD ('./disclaimer.jsp','ftp://ftp.cpc.ncep.noaa.gov/ndacc/station/ohp/ames/uvvis/')">1992-2012</a>
-<br><i>pattern files : ohtc[yy][mm].gfv or ohtc[yy][mm].pzv</i></td>
+<td class="blanc2" width=""><a href="" title="Data access" onclick="OuvrirPageWD ('./disclaimer.jsp','ftp://ftp.cpc.ncep.noaa.gov/ndacc/station/ohp/ames/uvvis/')">1992-2013</a>
+<br><i>pattern files : ohtc[yy][mm].pzv</i></td>
 <td class="orange" nowrap align="center">
 <a href="" title="Results" onclick="OuvrirFeuilleDyn ('visus_saoz.jsp?station=ohp')">
Index: ether_ndacc/trunk/web/data_opar.jsp
===================================================================
--- ether_ndacc/trunk/web/data_opar.jsp	(revision 794)
+++ ether_ndacc/trunk/web/data_opar.jsp	(revision 795)
@@ -129,6 +129,6 @@
     <td class="blanc2" width="220"><a href="" onclick="openW ('./no2.jsp', NWIN1, WCONF1b);">NO2</a>/<a href="" onclick="openW ('./ozone.jsp', NWIN1, WCONF1);">O3</a> column</td>
     <td class="blanc2" width="180">A. Pazmino, T. Portafaix</td>
-    <td class="blanc2" width="220"><a href="" title="Data access" onclick="OuvrirPageWD ('./disclaimer.jsp','ftp://ftp.cpc.ncep.noaa.gov/ndacc/station/reunion/ames/uvvis/')">1993-2012</a>
-    <br><i>pattern files : retc[yy][mm].*</i></td>
+    <td class="blanc2" width="220"><a href="" title="Data access" onclick="OuvrirPageWD ('./disclaimer.jsp','ftp://ftp.cpc.ncep.noaa.gov/ndacc/station/reunion_stdenis/ames/uvvis/')">1993-2013</a>
+    <br><i>pattern files : rdtc[yy][mm].pzv</i></td>
 
     <td class="orange" nowrap align="center">
@@ -156,5 +156,5 @@
 </td>
 <td class="blanc2" width="15%">T. Portafaix, S. Godin-Beekman</td>
-<td class="blanc2" width="22%"><a href="" title="Data access" onclick="OuvrirPageWD ('./disclaimer.jsp','ftp://ftp.cpc.ncep.noaa.gov/ndacc/station/reunion/ames/lidar/')">2000-2006</a>
+<td class="blanc2" width="22%"><a href="" title="Data access" onclick="OuvrirPageWD ('./disclaimer.jsp','ftp://ftp.cpc.ncep.noaa.gov/ndacc/station/reunion_stdenis/ames/lidar/')">2000-2006</a>
 <br><i>pattern files : reo3[yy][mm].jbl</i></td>
 <td class="orange" width=11% align="center">
@@ -175,5 +175,5 @@
 </td>
 <td class="blanc2" width="180">P. Keckhut</td>
-<td class="blanc2" width="220"><a href="" onclick="OuvrirPageWD ('./disclaimer.jsp','ftp://ftp.cpc.ncep.noaa.gov/ndacc/station/reunion/ames/lidar/')" title="Data access">1994-2006,2008</a>
+<td class="blanc2" width="220"><a href="" onclick="OuvrirPageWD ('./disclaimer.jsp','ftp://ftp.cpc.ncep.noaa.gov/ndacc/station/reunion_stdenis/ames/lidar/')" title="Data access">1994-2006,2008</a>
 <br><i>pattern files : rete[yy][mm].kel</i></td>
 
@@ -192,5 +192,5 @@
 <td class="blanc2" width="220"><a href="" onclick="openW ('./ozone.jsp', NWIN1, WCONF1);">O3</a> profiles</td>
 <td class="blanc2" width="180">F. Posny</td>
-<td class="blanc2" width="220"><a href="" title="Data access" onclick="OuvrirPageWD ('./disclaimer.jsp','ftp://ftp.cpc.ncep.noaa.gov/ndacc/station/reunion/ames/o3sonde/')">1998-2013</a>
+<td class="blanc2" width="220"><a href="" title="Data access" onclick="OuvrirPageWD ('./disclaimer.jsp','ftp://ftp.cpc.ncep.noaa.gov/ndacc/station/reunion_stdenis/ames/o3sonde/')">1998-2013</a>
 <br><i>pattern files : re[yy][mm][dd].b*</i></td>
 <td class="blanc2" width="220">
@@ -209,5 +209,5 @@
 <td class="blanc2" width="220">CO2, CO, O3, CH4, H2O</td>
 <td class="blanc2" width="180">M. de Mazi&egrave;re (IASB)</td>
-<td class="blanc2" width="220"><a href="" title="Data access" onclick="OuvrirPageWD ('./disclaimer.jsp','ftp://ftp.cpc.ncep.noaa.gov/ndacc/station/reunion/hdf/ftir/')">2002,2004,2007, 2009-2011</a>
+<td class="blanc2" width="220"><a href="" title="Data access" onclick="OuvrirPageWD ('./disclaimer.jsp','ftp://ftp.cpc.ncep.noaa.gov/ndacc/station/reunion_stdenis/hdf/ftir/')">2002,2004,2007, 2009-2011</a>
 <br><i>pattern files : *.hdf</i></td>
 <td class="blanc1" nowrap>&nbsp;</td>
Index: ether_ndacc/trunk/web/data_riogallegos.jsp
===================================================================
--- ether_ndacc/trunk/web/data_riogallegos.jsp	(revision 794)
+++ ether_ndacc/trunk/web/data_riogallegos.jsp	(revision 795)
@@ -109,6 +109,6 @@
     <td class="blanc2" width="15%"><a href="" onclick="openW ('./no2.jsp', NWIN1, WCONF1b);">NO2</a>/<a href="" onclick="openW ('./ozone.jsp', NWIN1, WCONF1);">O3</a> column</td>
     <td class="blanc2" width="15%">A. Pazmino, F. Goutail, J. P. Pommereau and E. Quel (CEILAP)</td>
-    <td class="blanc2" width="22%"><a href="" title="Data access" onclick="OuvrirPageWD ('./disclaimer.jsp','ftp://ftp.cpc.ncep.noaa.gov/ndacc/station/gallegos/ames/uvvis/')">2008-2012</a>
-<br><i>pattern files : rgtc[yy][mm].*</i></td>
+    <td class="blanc2" width="22%"><a href="" title="Data access" onclick="OuvrirPageWD ('./disclaimer.jsp','ftp://ftp.cpc.ncep.noaa.gov/ndacc/station/gallegos/ames/uvvis/')">2008-2013</a>
+<br><i>pattern files : rgtc[yy][mm].pzv</i></td>
     <td class="orange" align="center" width=11%><a href="" title="Results" onclick="OuvrirFeuilleDyn ('visus_saoz.jsp?station=rio')">
 <img border=1 src="resources/images/results.jpg" width="60px"></img>
Index: ether_ndacc/trunk/web/data_sodankyla.jsp
===================================================================
--- ether_ndacc/trunk/web/data_sodankyla.jsp	(revision 794)
+++ ether_ndacc/trunk/web/data_sodankyla.jsp	(revision 795)
@@ -108,6 +108,6 @@
     <td class="blanc2" width="15%"><a href="" onclick="openW ('./no2.jsp', NWIN1, WCONF1b);">NO2</a>/<a href="" onclick="openW ('./ozone.jsp', NWIN1, WCONF1);">O3</a> column</td>
     <td class="blanc2" width="15%">A. Pazmino, F. Goutail, J. P. Pommereau and E. KyrÃ¶ (FMI)</td>
-    <td class="blanc2" width="22%"><a href="" title="Data access" onclick="OuvrirPageWD ('./disclaimer.jsp','ftp://ftp.cpc.ncep.noaa.gov/ndacc/station/sodanky/ames/uvvis/')">1990-2012</a>
-<br><i>pattern files : sotc[yy][mm].*</i></td>
+    <td class="blanc2" width="22%"><a href="" title="Data access" onclick="OuvrirPageWD ('./disclaimer.jsp','ftp://ftp.cpc.ncep.noaa.gov/ndacc/station/sodanky/ames/uvvis/')">1990-2013</a>
+<br><i>pattern files : sotc[yy][mm].pzv</i></td>
     <td class="orange" align="center" width=11%><a href="" title="Results" onclick="OuvrirFeuilleDyn ('visus_saoz.jsp?station=sod')">
 <img border=1 src="resources/images/results.jpg" width="60px"></img>
Index: ether_ndacc/trunk/web/data_tarawa.jsp
===================================================================
--- ether_ndacc/trunk/web/data_tarawa.jsp	(revision 794)
+++ ether_ndacc/trunk/web/data_tarawa.jsp	(revision 795)
@@ -105,5 +105,5 @@
     <td class="blanc2" width="15%">A. Pazmino, F. Goutail and J. P. Pommereau</td>
     <td class="blanc2" width="22%"><a href="" title="Data access" onclick="OuvrirPageWD ('./disclaimer.jsp','ftp://ftp.cpc.ncep.noaa.gov/ndacc/station/tarawa/ames/uvvis/')">1992-1999</a>
-<br><i>pattern files : tatc[yy][mm].*</i></td>
+<br><i>pattern files : tatc[yy][mm].pzv</i></td>
     <td class="orange" align="center" width=11%><a href="" title="Results" onclick="OuvrirFeuilleDyn ('visus_saoz.jsp?station=trw')">
 <img border=1 src="resources/images/results.jpg" width="60px"></img>