Index: tapas/service/implementation/com/ether/TapasServiceImpl.java
===================================================================
--- tapas/service/implementation/com/ether/TapasServiceImpl.java	(revision 816)
+++ tapas/service/implementation/com/ether/TapasServiceImpl.java	(revision 817)
@@ -81,5 +81,4 @@
             String oneTransmission;
 
-
             while ( indice <= iii )
             {
Index: tapas/web/project/formTapas_script.jsp
===================================================================
--- tapas/web/project/formTapas_script.jsp	(revision 816)
+++ tapas/web/project/formTapas_script.jsp	(revision 817)
@@ -371,4 +371,14 @@
         input4.attr( {id: inputId4,class:"containerText",size:4} );
 
+        input1.attr( {disabled: true} );
+        input2.attr( {disabled: true} );
+        input3.attr( {disabled: true} );
+        input4.attr( {disabled: true} );
+
+        input1.css("backgroundColor", "#bfafd6");
+        input2.css("backgroundColor", "#bfafd6");
+        input3.css("backgroundColor", "#bfafd6");
+        input4.css("backgroundColor", "#bfafd6");
+
         input1.bind( "change", ["2"], jQuery.proxy(this.locationChoice,this));
         input2.bind( "change", ["2"], jQuery.proxy(this.locationChoice,this));
@@ -383,4 +393,5 @@
 
 
+        /*
         var img = $( document.createElement( "img" ) );
         var a = $( document.createElement( "a" ) );
@@ -390,6 +401,7 @@
         img.bind( "click", ["spectral_range",450,100,this], this.onClickInfos );
         a.append( img );
-        td1.append( a );
+        td1.append( a );*/
         td1.append( texte1 );
+
 
         //img.onclick(this.onClickInfos("spectral_range",1200,440));
@@ -1178,5 +1190,5 @@
         this.createTrList( tapasTexts["label.observatory"], "iobservatory_" + this.nbRequest, this.nbRequest, tabObservation, 'observatories', true, "" );
         this.createTrTxt( tapasTexts["label.or"], tabObservation );
-        this.createTr3Input( tapasTexts["label.locality"], tapasTexts["label.altitude"], tapasTexts["label.latitude"],tapasTexts["label.longitude"],"ilocality_" + this.nbRequest, "ialtitude_" + this.nbRequest, "ilatitude_" + this.nbRequest, "ilongitude_" + this.nbRequest , tabObservation, "[decimal]"," m" );
+        this.createTr3Input( tapasTexts["label.locality"], tapasTexts["label.altitude"], tapasTexts["label.latitude"],tapasTexts["label.longitude"],"ilocality_" + this.nbRequest, "ialtitude_" + this.nbRequest, "ilatitude_" + this.nbRequest, "ilongitude_" + this.nbRequest , tabObservation, "[decimal]"," <b>m</b>" );
 
         this.createCalendar( tabObservation, tapasTexts["label.datemesure"], tapasTexts["label.cpydatemesure"], "iobservation_date_" + this.nbRequest, "iobservation_cpydate_" + this.nbRequest, false, true );
Index: tapas/web/resources/css/backoffice.css
===================================================================
--- tapas/web/resources/css/backoffice.css	(revision 816)
+++ tapas/web/resources/css/backoffice.css	(revision 817)
@@ -16,6 +16,8 @@
 
 .containerTitle {
-    color: #be0026;
+    color: #000000;
     padding-left: 236px;
+    font-size: 24px;
+    font-family: Comic Sans MS;
 }
 
@@ -27,10 +29,7 @@
     float: right;
     position: relative;
-    width: 800px;
     height: 39px;
     color: #969696;
-    top: 4px;
     margin-bottom: 18px;
-    padding-left: 10px;
     font-size: 11px;
 }
@@ -38,4 +37,5 @@
 .containerTitleContent {
     background-image: none;
+    border-radius: 8px 8px 0 0;
     -moz-border-radius: 4px 4px 0 0;
     -moz-box-shadow: 0 0 5px rgba(0, 0, 0, 0.3);
@@ -43,10 +43,10 @@
     -webkit-box-shadow: 0 0 5px rgba(0, 0, 0, 0.3);
     box-shadow: 0 0 4px rgba(0, 0, 0, 0.3);
-    background: -moz-linear-gradient(#778899, white) repeat scroll 0 0 transparent;
-    background: -ms-linear-gradient(#778899, white) repeat scroll 0 0 transparent; /*For IE10*/
+    background: -moz-linear-gradient(#778899, #000000) repeat scroll 0 0 transparent;
+    background: -ms-linear-gradient(#778899, #000000) repeat scroll 0 0 transparent; /*For IE10*/
     filter: progid:DXImageTransform.Microsoft.gradient(GradientType = 0, startColorstr = '#778899', endColorstr = 'white'); /*For IE7-8-9*/
     float: right;
     position: relative;
-    width: 800px;
+    width: 90px;
     height: 26px;
     color: white;
@@ -54,11 +54,12 @@
     padding-left: 10px;
     padding-top: 4px;
-    margin: 0;
-    top: 0;
+    margin-right: -1px;
+    top: 51px;
     text-decoration: none;
 }
 
 .containerCenter {
-    background: -moz-linear-gradient(white, #778899);
+    background: -moz-linear-gradient(#000000, #778899);
+    top: 59px;
 }
 
@@ -66,4 +67,5 @@
     background-image: none;
     background-color: #778899;
+    top:53px;
 }
 
Index: tapas/web/resources/css/button.css
===================================================================
--- tapas/web/resources/css/button.css	(revision 816)
+++ tapas/web/resources/css/button.css	(revision 817)
@@ -74,4 +74,5 @@
 button.negative {
     color: #d12f19;
+    border-radius:8px;
 }
 
@@ -80,4 +81,5 @@
     border: 1px solid #fbc2c4;
     color: #d12f19;
+
 }
 
@@ -193,7 +195,7 @@
 
 button.tapas1:hover {
-    background-color: #bfafd6;
-
-}
-
-
+    background-color: #574176;
+
+}
+
+
Index: tapas/web/resources/css/mainEther.css
===================================================================
--- tapas/web/resources/css/mainEther.css	(revision 816)
+++ tapas/web/resources/css/mainEther.css	(revision 817)
@@ -42,6 +42,7 @@
 
 input {
-    -moz-border-radius: 4px 4px 4px 4px;
-    -webkit-border-radius: 4px 4px 4px 4px;
+    //-moz-border-radius: 4px 4px 4px 4px;
+    //-webkit-border-radius: 4px 4px 4px 4px;
+    border-radius: 6px 6px 6px 6px;
 }
 
Index: tapas/web/resources/css/select.css
===================================================================
--- tapas/web/resources/css/select.css	(revision 816)
+++ tapas/web/resources/css/select.css	(revision 817)
@@ -11,4 +11,6 @@
     width: 6px;
     float: left;
+    border-radius: 8px 0px 2px 8px;
+
 }
 
@@ -32,4 +34,5 @@
     width: 20px;
     float: left;
+    border-radius: 0px 8px 5px 0px;
 }
 
Index: tapas/web/resources/css/tapas.css
===================================================================
--- tapas/web/resources/css/tapas.css	(revision 816)
+++ tapas/web/resources/css/tapas.css	(revision 817)
@@ -153,4 +153,5 @@
     padding-left: 0px;
     background-color: white;
+    border-radius: 6px 6px 6px 6px;
 
 
@@ -163,4 +164,5 @@
     background-color: #cccccc;
     font-weight:bold;
+   border-radius: 6px 6px 6px 6px;
 
 
@@ -261,5 +263,5 @@
     margin-left: 31px;
     width: 120px;
-    top: 54px;
+    top: 50px;
     position: absolute;
 }
@@ -307,5 +309,5 @@
     z-index: 1;
     left: -10px;
-    width: 810px;
+    width: 100px;
 }
 
@@ -329,5 +331,5 @@
     padding-left: 10px;
     padding-top: 4px;
-    top: 9px;
+    top: 15px;
     margin-right: 600px;
     text-decoration: underline;
@@ -343,5 +345,5 @@
     font-weight: bold;
     font-size: 14px;
-
+    border-radius: 6px 6px 6px 6px;
 
 }
@@ -372,5 +374,5 @@
     text-align: justify;
     position: relative;
-    top: 6px;
+    top: 11px;
     padding: 10px;
     width: 1028px;
@@ -569,7 +571,9 @@
     background-image: url(../../resources/icons/transparent_loading.gif);
     height: 37px;
-    margin-left: 21px;
-    margin-top: -169px;
-    position: absolute;
+     margin-top: 462px;
+    //margin-top: 1046px;
+    //margin-left: 21px;
+    margin-left: 1046px;
+    position: relative;
     width: 36px;
 }
Index: tapas/web/resources/js/library/jquery-ui-1.8.16.custom/development-bundle/demos/demos.css
===================================================================
--- tapas/web/resources/js/library/jquery-ui-1.8.16.custom/development-bundle/demos/demos.css	(revision 816)
+++ tapas/web/resources/js/library/jquery-ui-1.8.16.custom/development-bundle/demos/demos.css	(revision 817)
@@ -115,5 +115,5 @@
 	background: #f3f3f3;
 	color:#000;
-	-moz-border-radius: 5px; -webkit-border-radius: 5px;
+	//-moz-border-radius: 5px; -webkit-border-radius: 5px;
 }
  .demos-nav dd a.selected {
Index: tapas/web/resources/templates/templateBackoffice.jsp
===================================================================
--- tapas/web/resources/templates/templateBackoffice.jsp	(revision 816)
+++ tapas/web/resources/templates/templateBackoffice.jsp	(revision 817)
@@ -61,4 +61,5 @@
         <div id="tools" align="right">
             <div id="loginModule" align="right"></div>
+            <div id="menuBO" class="containerMenu"></div>
         </div>
 
@@ -67,9 +68,9 @@
     <%-- ****************** LOGO ****************** --%>
     <div id="logo" class="containerLogo">
-        <a href="#"><img src="resources/images/logo_tapas.gif" height="60px" width="60px"></a>
+       <a href="#"><img src="resources/images/logo_tapas.gif" height="60px" width="60px"></a>
     </div>
 
     <%-- ****************** MENU ****************** --%>
-    <div id="menuBO" class="containerMenu"></div>
+    <!--<div id="menuBO" class="containerMenu"></div>-->
 
     <%-- ****************** TITLE CONTENT ****************** --%>
Index: tapas/web/resources/templates/templateEther.jsp
===================================================================
--- tapas/web/resources/templates/templateEther.jsp	(revision 816)
+++ tapas/web/resources/templates/templateEther.jsp	(revision 817)
@@ -65,5 +65,5 @@
     <%-- ****************** LOGO ****************** --%>
     <div id="logo" class="containerLogo">
-        <a href="#"><img src="resources/images/logo_tapas.gif" height="70px" width="70px"></a>
+        <a href="#"><img src="resources/images/logo_tapas.gif" height="82px" width="86px"></a>
     </div>
 