Index: /ether_ndacc/trunk/web/data_bauru.jsp
===================================================================
--- /ether_ndacc/trunk/web/data_bauru.jsp	(revision 819)
+++ /ether_ndacc/trunk/web/data_bauru.jsp	(revision 820)
@@ -106,5 +106,5 @@
     <td class="blanc2" width="15%"><a href="" onclick="openW ('./no2.jsp', NWIN1, WCONF1b);">NO2</a>/<a href="" onclick="openW ('./ozone.jsp', NWIN1, WCONF1);">O3</a> column</td>
     <td class="blanc2" width="15%">A. Pazmino, F. Goutail, J. P. Pommereau and G. Held (UNESP)</td>
-    <td class="blanc2" width="22%"><a href="" title="Data access" onclick="OuvrirPageWD ('./disclaimer.jsp','ftp://ftp.cpc.ncep.noaa.gov/ndacc/station/bauru/ames/uvvis/')">1995-2013</a>
+    <td class="blanc2" width="22%"><a href="" title="Data access" onclick="OuvrirPageWD ('./disclaimer.jsp','ftp://ftp.cpc.ncep.noaa.gov/ndacc/station/bauru/ames/uvvis/')">1995-2014</a>
 <br><i>pattern files : brtc[yy][mm].pzv</i></td>
     <td class="orange" align="center" width=11%><a href="" title="Results" onclick="OuvrirFeuilleDyn ('visus_saoz.jsp?station=bau')">
Index: /ether_ndacc/trunk/web/data_concordia.jsp
===================================================================
--- /ether_ndacc/trunk/web/data_concordia.jsp	(revision 819)
+++ /ether_ndacc/trunk/web/data_concordia.jsp	(revision 820)
@@ -106,5 +106,5 @@
     <td class="blanc2" width="15%"><a href="" onclick="openW ('./no2.jsp', NWIN1, WCONF1b);">NO2</a>/<a href="" onclick="openW ('./ozone.jsp', NWIN1, WCONF1);">O3</a> column</td>
     <td class="blanc2" width="15%">A. Pazmino, F. Goutail and J. P. Pommereau</td>
-    <td class="blanc2" width="22%"><a href="" title="Data access" onclick="OuvrirPageWD ('./disclaimer.jsp','ftp://ftp.cpc.ncep.noaa.gov/ndacc/station/dome/ames/uvvis/')">2007-2013</a>
+    <td class="blanc2" width="22%"><a href="" title="Data access" onclick="OuvrirPageWD ('./disclaimer.jsp','ftp://ftp.cpc.ncep.noaa.gov/ndacc/station/dome/ames/uvvis/')">2007-2014</a>
 <br><i>pattern files : dotc[yy][mm].pzv</i></td>
     <td class="orange" align="center" width=11%><a href="" title="Results" onclick="OuvrirFeuilleDyn ('visus_saoz.jsp?station=cda')">
Index: /ether_ndacc/trunk/web/data_ddu.jsp
===================================================================
--- /ether_ndacc/trunk/web/data_ddu.jsp	(revision 819)
+++ /ether_ndacc/trunk/web/data_ddu.jsp	(revision 820)
@@ -120,5 +120,5 @@
         <td class="blanc2" width="220"><a href="" onclick="openW ('./no2.jsp', NWIN1, WCONF1b);">NO2</a>/<a href="" onclick="openW ('./ozone.jsp', NWIN1, WCONF1);">O3</a> column</td>
         <td class="blanc2" width="180">A. Pazmino, F. Goutail and J. P. Pommereau</td>
-        <td class="blanc2" width="220"><a href="" title="Data access" onclick="OuvrirPageWD ('./disclaimer.jsp','ftp://ftp.cpc.ncep.noaa.gov/ndacc/station/dumont/ames/uvvis/')">1988-2013</a>
+        <td class="blanc2" width="220"><a href="" title="Data access" onclick="OuvrirPageWD ('./disclaimer.jsp','ftp://ftp.cpc.ncep.noaa.gov/ndacc/station/dumont/ames/uvvis/')">1988-2014</a>
         <br><i>pattern files : dutc[yy][mm].pzv</i></td>
 
Index: /ether_ndacc/trunk/web/data_kerguelen.jsp
===================================================================
--- /ether_ndacc/trunk/web/data_kerguelen.jsp	(revision 819)
+++ /ether_ndacc/trunk/web/data_kerguelen.jsp	(revision 820)
@@ -107,5 +107,5 @@
     <td class="blanc2" width="15%"><a href="" onclick="openW ('./no2.jsp', NWIN1, WCONF1b);">NO2</a>/<a href="" onclick="openW ('./ozone.jsp', NWIN1, WCONF1);">O3</a> column</td>
     <td class="blanc2" width="15%">A. Pazmino, F. Goutail and J. P. Pommereau</td>
-    <td class="blanc2" width="22%"><a href="" title="Data access" onclick="OuvrirPageWD ('./disclaimer.jsp','ftp://ftp.cpc.ncep.noaa.gov/ndacc/station/kerguele/ames/uvvis/')">1995-2013</a>
+    <td class="blanc2" width="22%"><a href="" title="Data access" onclick="OuvrirPageWD ('./disclaimer.jsp','ftp://ftp.cpc.ncep.noaa.gov/ndacc/station/kerguele/ames/uvvis/')">1995-2014</a>
 <br><i>pattern files : ketc[yy][mm].pzv</i></td>
     <td class="orange" align="center" width=11%><a href="" title="Results" onclick="OuvrirFeuilleDyn ('visus_saoz.jsp?station=ker')">
Index: /ether_ndacc/trunk/web/data_ohp.jsp
===================================================================
--- /ether_ndacc/trunk/web/data_ohp.jsp	(revision 819)
+++ /ether_ndacc/trunk/web/data_ohp.jsp	(revision 820)
@@ -131,5 +131,5 @@
 <td class="blanc2" width=""><a href="" onclick="openW ('./no2.jsp', NWIN1, WCONF1b);">NO2</a>/<a href="" onclick="openW ('./ozone.jsp', NWIN1, WCONF1);">O3</a> column</td>
 <td class="blanc2" width="">A. Pazmino, F. Goutail and J. P. Pommereau</td>
-<td class="blanc2" width=""><a href="" title="Data access" onclick="OuvrirPageWD ('./disclaimer.jsp','ftp://ftp.cpc.ncep.noaa.gov/ndacc/station/ohp/ames/uvvis/')">1992-2013</a>
+<td class="blanc2" width=""><a href="" title="Data access" onclick="OuvrirPageWD ('./disclaimer.jsp','ftp://ftp.cpc.ncep.noaa.gov/ndacc/station/ohp/ames/uvvis/')">1992-2014</a>
 <br><i>pattern files : ohtc[yy][mm].pzv</i></td>
 <td class="orange" nowrap align="center">
Index: /ether_ndacc/trunk/web/data_opar.jsp
===================================================================
--- /ether_ndacc/trunk/web/data_opar.jsp	(revision 819)
+++ /ether_ndacc/trunk/web/data_opar.jsp	(revision 820)
@@ -129,5 +129,5 @@
     <td class="blanc2" width="220"><a href="" onclick="openW ('./no2.jsp', NWIN1, WCONF1b);">NO2</a>/<a href="" onclick="openW ('./ozone.jsp', NWIN1, WCONF1);">O3</a> column</td>
     <td class="blanc2" width="180">A. Pazmino, T. Portafaix</td>
-    <td class="blanc2" width="220"><a href="" title="Data access" onclick="OuvrirPageWD ('./disclaimer.jsp','ftp://ftp.cpc.ncep.noaa.gov/ndacc/station/reunion_stdenis/ames/uvvis/')">1993-2013</a>
+    <td class="blanc2" width="220"><a href="" title="Data access" onclick="OuvrirPageWD ('./disclaimer.jsp','ftp://ftp.cpc.ncep.noaa.gov/ndacc/station/reunion_stdenis/ames/uvvis/')">1993-2014</a>
     <br><i>pattern files : rdtc[yy][mm].pzv</i></td>
 
Index: /ether_ndacc/trunk/web/data_riogallegos.jsp
===================================================================
--- /ether_ndacc/trunk/web/data_riogallegos.jsp	(revision 819)
+++ /ether_ndacc/trunk/web/data_riogallegos.jsp	(revision 820)
@@ -109,5 +109,5 @@
     <td class="blanc2" width="15%"><a href="" onclick="openW ('./no2.jsp', NWIN1, WCONF1b);">NO2</a>/<a href="" onclick="openW ('./ozone.jsp', NWIN1, WCONF1);">O3</a> column</td>
     <td class="blanc2" width="15%">A. Pazmino, F. Goutail, J. P. Pommereau and E. Quel (CEILAP)</td>
-    <td class="blanc2" width="22%"><a href="" title="Data access" onclick="OuvrirPageWD ('./disclaimer.jsp','ftp://ftp.cpc.ncep.noaa.gov/ndacc/station/gallegos/ames/uvvis/')">2008-2013</a>
+    <td class="blanc2" width="22%"><a href="" title="Data access" onclick="OuvrirPageWD ('./disclaimer.jsp','ftp://ftp.cpc.ncep.noaa.gov/ndacc/station/gallegos/ames/uvvis/')">2008-2014</a>
 <br><i>pattern files : rgtc[yy][mm].pzv</i></td>
     <td class="orange" align="center" width=11%><a href="" title="Results" onclick="OuvrirFeuilleDyn ('visus_saoz.jsp?station=rio')">
Index: /ether_ndacc/trunk/web/data_scorebysund.jsp
===================================================================
--- /ether_ndacc/trunk/web/data_scorebysund.jsp	(revision 819)
+++ /ether_ndacc/trunk/web/data_scorebysund.jsp	(revision 820)
@@ -105,5 +105,5 @@
     <td class="blanc2" width="15%"><a href="" onclick="openW ('./no2.jsp', NWIN1, WCONF1b);">NO2</a>/<a href="" onclick="openW ('./ozone.jsp', NWIN1, WCONF1);">O3</a> column</td>
     <td class="blanc2" width="15%">A. Pazmino, F. Goutail, J. P. Pommereau and P. Eriksen (DMI)</td>
-    <td class="blanc2" width="22%"><a href="" title="Data access" onclick="OuvrirPageWD ('./disclaimer.jsp','ftp://ftp.cpc.ncep.noaa.gov/ndacc/station/scoresby/ames/uvvis/')">1991-2013</a>
+    <td class="blanc2" width="22%"><a href="" title="Data access" onclick="OuvrirPageWD ('./disclaimer.jsp','ftp://ftp.cpc.ncep.noaa.gov/ndacc/station/scoresby/ames/uvvis/')">1991-2014</a>
 <br><i>pattern files : sctc[yy][mm].pzv</i></td>
     <td class="orange" align="center" width=11%>
Index: /ether_ndacc/trunk/web/data_sodankyla.jsp
===================================================================
--- /ether_ndacc/trunk/web/data_sodankyla.jsp	(revision 819)
+++ /ether_ndacc/trunk/web/data_sodankyla.jsp	(revision 820)
@@ -108,5 +108,5 @@
     <td class="blanc2" width="15%"><a href="" onclick="openW ('./no2.jsp', NWIN1, WCONF1b);">NO2</a>/<a href="" onclick="openW ('./ozone.jsp', NWIN1, WCONF1);">O3</a> column</td>
     <td class="blanc2" width="15%">A. Pazmino, F. Goutail, J. P. Pommereau and E. KyrÃ¶ (FMI)</td>
-    <td class="blanc2" width="22%"><a href="" title="Data access" onclick="OuvrirPageWD ('./disclaimer.jsp','ftp://ftp.cpc.ncep.noaa.gov/ndacc/station/sodanky/ames/uvvis/')">1990-2013</a>
+    <td class="blanc2" width="22%"><a href="" title="Data access" onclick="OuvrirPageWD ('./disclaimer.jsp','ftp://ftp.cpc.ncep.noaa.gov/ndacc/station/sodanky/ames/uvvis/')">1990-2014</a>
 <br><i>pattern files : sotc[yy][mm].pzv</i></td>
     <td class="orange" align="center" width=11%><a href="" title="Results" onclick="OuvrirFeuilleDyn ('visus_saoz.jsp?station=sod')">