Index: ether_ndacc/trunk/web/data_ddu.jsp
===================================================================
--- ether_ndacc/trunk/web/data_ddu.jsp	(revision 839)
+++ ether_ndacc/trunk/web/data_ddu.jsp	(revision 840)
@@ -22,5 +22,5 @@
 <body onload="majMenu('2'); defDivTab();">
 <div align=center>
-<div style="margin-top: -10px; width: 1230px ;" class="menu1"><!-- dÃ©but de la boite contenant les onglets -->
+<div style="margin-top: -10px; width: 1230px ;" class="menu1"><!-- dÃ©but de la boite contenant les onglets  -->
 
 <jsp:include page="template_haut.jsp" />
@@ -182,5 +182,5 @@
     <td class="blanc2" width="220"><a href="" onclick="openW ('./ozone.jsp', NWIN1, WCONF1);">O3</a> profiles</td>
     <td class="blanc2" width="180">M. Marchand</td>
-    <td class="blanc2" width="220"><a href="" title="Data access" onclick="OuvrirPageWD ('./disclaimer.jsp','ftp://ftp.cpc.ncep.noaa.gov/ndacc/station/dumont/ames/o3sonde/')">1991-2015</a>
+    <td class="blanc2" width="220"><a href="" title="Data access" onclick="OuvrirPageWD ('./disclaimer.jsp','ftp://ftp.cpc.ncep.noaa.gov/ndacc/station/dumont/ames/o3sonde/')">1991-2016</a>
     <br><i>pattern files : du[yy][mm][dd].b*</i></td>
 
Index: ether_ndacc/trunk/web/data_salekhard.jsp
===================================================================
--- ether_ndacc/trunk/web/data_salekhard.jsp	(revision 839)
+++ ether_ndacc/trunk/web/data_salekhard.jsp	(revision 840)
@@ -15,5 +15,5 @@
 <body onload="majMenu('2');">
 <div align=center>
-<div style="margin-top: -10px; width: 1230px ;" class="menu1"><!-- dÃ©but de la boite contenant les onglets -->
+<div style="margin-top: -10px; width: 1230px ;" class="menu1"><!-- dÃ©but de la boite contenant les onglets  -->
 
 <jsp:include page="template_haut.jsp" />
@@ -118,5 +118,5 @@
         </a>
     </td>
-    <td class="vert" width="14%"><spring:message code="courant"/></td>
+    <td class="rouge" width="14%"><spring:message code="inactif"/></td>
     </tr>
 
Index: ether_ndacc/trunk/web/src/com/ether/Controller.java
===================================================================
--- ether_ndacc/trunk/web/src/com/ether/Controller.java	(revision 839)
+++ ether_ndacc/trunk/web/src/com/ether/Controller.java	(revision 840)
@@ -25,5 +25,5 @@
         extends ControllerEther
 {
-    /** *********************************************************** **/
+    /** ********************************************************** * **/
     /** *********************** VIEWS ***************************** **/
     /** *********************************************************** **/
@@ -266,5 +266,5 @@
                     if( year.compareTo( "1970" ) == 0 ) {
                            //year = "2013";
-                           year = "2014";
+                           year = "2016";
 
                            month = DateHelper.formatDate(new Date(),"MM");
@@ -445,5 +445,5 @@
                 if( year.compareTo( "1970" ) == 0 )
                 {
-                    year = "2012";
+                    year = "2014";
                     month = "01";
                     dateinf = year + month + "01";
@@ -631,5 +631,5 @@
                 if( year.compareTo( "1970" ) == 0 )
                 {
-                    year = "2009";
+                    year = "2013";
                     month = "01";
                 }
Index: ether_ndacc/trunk/web/template_haut.jsp
===================================================================
--- ether_ndacc/trunk/web/template_haut.jsp	(revision 839)
+++ ether_ndacc/trunk/web/template_haut.jsp	(revision 840)
@@ -3,5 +3,5 @@
 <%@ taglib prefix="spring" uri="http://www.springframework.org/tags" %>
 
-<!--Bandeau du haut-->
+<!--Bandeau du haut -->
 <script type="text/javascript" src="<c:url value="./resources/css/etherTypo.js"/>"></script>
 
@@ -16,5 +16,5 @@
     </tr>
 
-<tr><td></td><td colspan="5" align="right" valign="top"><font size=0 color="#FFFFFF">Copyright 2015 CNES-CNRS</font></td></tr>
+<tr><td></td><td colspan="5" align="right" valign="top"><font size=0 color="#FFFFFF">Copyright 2016 CNES-CNRS</font></td></tr>
      <tr> <td width="1%">
 
Index: ether_ndacc/trunk/web/visus_ecc_realtime.jsp
===================================================================
--- ether_ndacc/trunk/web/visus_ecc_realtime.jsp	(revision 839)
+++ ether_ndacc/trunk/web/visus_ecc_realtime.jsp	(revision 840)
@@ -36,7 +36,8 @@
 <td width=50px  class=blanc2 align=right><spring:message code="annee"/>&nbsp;
 <select id="year" onChange='loadVisus()'>
+    <option value='2016' <c:if test="${year == '2016'}">selected</c:if> >2016</option>
     <option value='2015' <c:if test="${year == '2015'}">selected</c:if> >2015</option>
     <option value='2014' <c:if test="${year == '2014'}">selected</c:if> >2014</option>
-    <!--<option value='2013' <c:if test="${year == '2013'}">selected</c:if> >2013</option>-->
+    <!--<option value='2013' <c:if test="${year == '2013'}">selected</c:if> >2013</option> -->
 </select>
 </td>